<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();

$obs1=$sessao->getVar('controle2');//
$obs2=$sessao->getVar('controle3');//
$obs3=$sessao->getVar('controle4');//
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=210;//isso para horizontal
			 $maximoHAdobe=297;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-16;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Arial','',8);
			 
			 //cabecalho
			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Arial','B',11);
			 $pdf->setXY($margemEsquerda,30);
	                 $pdf->Cell($larguraUtil,6,utf8_decode('AVALIAÇÃO AUTOMATIZADA DO VIGOR DE SEMENTES DE SOJA'),0,1,'C');//lab nome
                     $pdf->Cell($larguraUtil,6,utf8_decode('VIGOR-S'),0,1,'C');//lab nome
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 //echo("caminhofinal=$caminhoFinal<br>");
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Arial','B',10);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
 
            
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			$generica->extras_select =" select fic_procedencia, fic_amostra,fic_ano, fic_lote,ctv_nome, prd_apelido,prd_nome,prd_endereco,fic_categoria,fic_id from  ficha,cultivar,remetente where  prd_id=fic_produtor && fic_cultivar=ctv_id and fic_id=".$amostraLong;
			//$generica->extras_select =" where fic_enquadramento='".$enquadramento."' && prd_id=fic_produtor && fic_cultivar=ctv_id and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $amostra=$resgenerica->fic_amostra;//amostra
			    $lote=$resgenerica->fic_lote;
			    $cultivar=$resgenerica->ctv_nome;
			    $nome=$resgenerica->prd_nome;
			    $endereco=$resgenerica->prd_endereco;
			    $ano=$resgenerica->fic_ano;
                $procedencia=$resgenerica->fic_procedencia;
                $amostraLong=$resgenerica->fic_id;
			endwhile; 
            $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
            $cota1=43; 
		    //interpretacao
			$largura1=60;
			$largura2=80;
			
			//$cota1=$cota1+20;
            $pdf->setXY($margemEsquerda,$cota1);
            $pdf->Cell($larguraUtil,6,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA Nº '.$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4)),0,1,'C');//lab nome
            $cota1=$cota1+5;
			$pdf-> Rect($margemEsquerda,$cota1,$margemDireita,20);

    
		    $pdf->Cell(50,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'R');
            $pdf->SetFont('Arial','I',9);
		    $pdf->Cell($largura1,5,'('.utf8_decode($vetorCapturaGeral[30]).')',0,1,'L');
			$pdf->SetFont('Arial','',9);
			
			$cota1=$cota1+5;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell($largura1,5,utf8_decode('Procedência:'.$procedencia),0,1,'L');
			$cota1=$cota1+5;
			$pdf->setXY($margemEsquerda,$cota1);
		    $pdf->Cell(50,5,'Requerente :'.utf8_decode($nome).'/'.$ano,0,1,'L');//amostra
		    $pdf->Cell(50,5,utf8_decode('Endereço:'.$endereco),0,1,'L');//lote
			//$cota1=100;

			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);
		    
            //$pdf->Cell($larguraUtil,6,utf8_decode('MÉTODO UTILIZADO PARA DETECÇÃO E IDENTIFICAÇÃO DO PATÓGENO'),0,1,'C');//lab nome
            ///$pdf->Cell($larguraUtil,5,utf8_decode($metodoUtilizado),1,1,'L');
            //$pdf->Cell($larguraUtil,6,utf8_decode('RESULTADO DA ANÁLISE'),0,1,'C');//lab nome
			///////////////


 


		//acha o valor de rean 1 de qualquer maneira
        $user = new rean1();
		$user->extras_select =" where  rea_teste='VGS' AND rea_ficha=".$amostraLong ;
        $user->selecionaTudo($user);
		$contador=0;
		while ($res = $user->retornaDados()):
		    $contador++;
		    $vetor[1]=$res->rea_lei4;
		    $vetor[2]=$res->rea_v2;
		    $vetor[3]=$res->rea_v3;
		    $vetor[4]=$res->rea_v4;
		    $vetor[5]=$res->rea_v5;
		    $vetor[6]=$res->rea_lei1;
		    $vetor[7]=$res->rea_lei2;
		    $vetor[8]=$res->rea_lei3;
		    $vetor[9]=$res->rea_campo20a;
		    $vetor[10]=$res->rea_campo60a;
		    $vetor[11]=$res->rea_campo60b;
		    $vetor[12]=$res->rea_campo60c;
		    $vetor[13]=$res->rea_campo20b;
		    $vetor[14]=$res->rea_campo100;
		    $vetor[15]=$res->rea_datainicio;
		    $vetor[16]=$res->rea_duracao;
			$reanLong=$res->rea_id;
			$reaOperador=$res->rea_operador;
			$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
		endwhile;
///////////////////////////
            $cota1=70;
	        $pdf->setXY($margemEsquerda,$cota1);
			$pdf->SetFont('Arial','B',11);
            //$pdf->Cell(90,5,utf8_decode('AMOSTRA Nº:'),0,0,'L');//lab nome
            //$pdf->Cell(90,5,utf8_decode('INFORMAÇÂO DE RESULTADO:'),0,1,'L');//lab nome
			$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//lab nome 
			$pdf->Line($margemEsquerda,$cota1+5,$margemDireita,$cota1+5);//lab nome 
            $pdf->Cell(63,5,utf8_decode('ITEM'),0,0,'C',1);//lab nome
            $pdf->Cell(63,5,utf8_decode('RESULTADO'),0,0,'C',1);//lab nome
            $pdf->Cell(63,5,utf8_decode('VALOR DE REFERÊNCIA'),0,0,'C',1);//lab nome

	        //tabelas
	        $quesito[1]= "Índice de Vigor";
	        $quesito[2]= "Crescimento";
	        $quesito[3]= "Uniformidade";
	        $quesito[4]= "Comprimento Total (cm)";
	        $quesito[5]= "Hipocótilo (cm)";
	        $quesito[6]= "Raiz (cm)";
	        $quesito[7]= "Hipocótilo/Raiz";
	        $quesito[8]= "Sementes não Germinadas";

            $complementoVariado[1]="(Escala de 0 a 1000)";
            $complementoVariado[2]="(Escala de 0 a 1000)";
            $complementoVariado[3]="(Escala de 0 a 1000)";
            $complementoVariado[4]="";
            $complementoVariado[5]="";
            $complementoVariado[6]="";
            $complementoVariado[7]="(Proporção hipocótilo/raiz)";
            $complementoVariado[8]="(nº de sementes)";


            $faixa[1]='Mais alto vigor: 900 a 1000';
            $faixa[2]='Alto vigor: 750 a 899';
            $faixa[3]='Médio vigor: 500 a 749';
            $faixa[4]='Baixo vigor: < 500';

            $faixa[5]='Mais alto vigor: 9,0 a 10,0 cm';
            $faixa[6]='Alto vigor: 7,5 a 8,9 cm';
            $faixa[7]='Médio vigor: 5,0 a 7,4 cm';
            $faixa[8]='Baixo vigor: < 5,0 cm';

           $faixa[9]='Mais alto vigor: > 3,5 cm';
            $faixa[10]='Alto vigor: 2,5 a 3,5 cm';
            $faixa[11]='Médio vigor: 1,5 a 2,5 cm';
            $faixa[12]='Baixo vigor: < 1,5 cm';

            $faixa[13]='Mais alto vigor: > 7,0 cm';
            $faixa[14]='Alto vigor: 5,0 a 7,0 cm';
            $faixa[15]='Médio vigor: 3,0 a 5,0 cm';
            $faixa[16]='Baixo vigor: < 3,0 cm';

           $faixa[17]='Mais alto vigor: : > 0,5';
            $faixa[18]='Alto vigor: 0,3 a 0,4';
            $faixa[19]='Médio vigor: 0,2 a 0,3';
            $faixa[20]='Baixo vigor: > 0,2';

            $faixa[21]='Mais alto vigor: 0 a 1';
            $faixa[22]='Alto vigor: 2 a 3';
            $faixa[23]='Médio vigor: 4 a 5';
            $faixa[24]='Baixo vigor: >5';



			//imprime os quesites e os resultados
			$alturaLinha=4;
			$cota1+=6;
            $cota1Reservada=$cota1;
            $pdf->SetFont('Arial','B',12);
		    //imprime os quesitos	
            for($i=1;$i<=8;$i++) :   
 				$pdf->setXY($margemEsquerda,$cota1);
                $pdf->SetFont('Arial','BI',12);
                $pdf->Cell(63,$alturaLinha,utf8_decode($quesito[$i]),0,0,'C');//lab nome
				//imprime o complemento
				$pdf->setXY($margemEsquerda,$cota1+$alturaLinha);
                $pdf->SetFont('Arial','',10);
                $pdf->Cell(63,$alturaLinha,utf8_decode($complementoVariado[$i]),0,0,'C');//lab nome
				$pdf->setXY(63,$cota1);
                $pdf->SetFont('Arial','BI',12);
                $pdf->Cell(63,$alturaLinha,utf8_decode($vetor[$i]),0,1,'C');//lab nome
                if($i<=2):
				   $cota1+=$alturaLinha*2;
				else:   
				   $cota1+=$alturaLinha*4;
				endif;
            endfor;

			//imprime as linhas separadoras
			$cota1=$cota1Reservada;
			$final=$margemDireita-50;
            for($i=1;$i<=8;$i++) :   
                if($i<=3):
				   $cota1+=$alturaLinha*2;
				else:   
				   $cota1+=$alturaLinha*4;
				endif;
                if($i==3)$final=$margemDireita;
				$pdf->Line($margemEsquerda,$cota1,$final,$cota1);
             endfor;

			//imprime as faixas
			$cota1=$cota1Reservada;
            $pdf->SetFont('Arial','',8);
            for($i=1;$i<=24;$i++) :   
                $cota1+=$alturaLinha;
                if($i==5)$cota1+=$alturaLinha;
				$pdf->setXY(155,$cota1);
				$pdf->Cell(63,$alturaLinha,utf8_decode($faixa[$i]),0,0,'L');//lab nome
             endfor;

             //imprime a imagem customizada do vigor s
			 $caminhoFinal="Imagens/imagemVigorS.jpg";
			 $pdf->Image($caminhoFinal,$margemEsquerda+5,$cota1+4,175,67,'JPG');



          
	/*		
			$cota1+=10;
                        $pdf->setXY($margemEsquerda,$cota1);
                        $pdf->SetFont('Arial','B',11);
                        $pdf->Cell($larguraUtil,5,utf8_decode('OBSERVAÇÕES:'),1,1,'L');//lab nome
                        //aqui ele vai abrir espaco de acordo com o que tiver digitado nas 3 linhas de observacoes
                        if($obs1==""):
						   $observacao1='-O-';
						else:
                           $observacao1=$obs1;					
						endif;   
                        $pdf->Cell($larguraUtil,5,utf8_decode($observacao1),1,1,'L');//lab nome
                        //aqui so abre espaco se houver preenchimento
						if($obs2!=""):
                           $observacao2=$obs2;					
						   $cota1+=5;
                           $pdf->Cell($larguraUtil,5,utf8_decode($observacao2),1,1,'L');//lab nome
						endif;   
                        //aqui so abre espaco se houver preenchimento
						if($obs3!=""):
                           $observacao3=$obs3;					
						   $cota1+=5;
                           $pdf->Cell($larguraUtil,5,utf8_decode($observacao3),1,1,'L');//lab nome
						endif;   
                        $pdf->Rect($margemEsquerda,$cota1,$margemDireita,30);
                        $pdf->Cell($larguraUtil,5,utf8_decode('NOTAS:'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('1-A identificação da amostra é de exclusiva responsabilidade do remetente.'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('2-A presente análise tem seu valor restrito à amostra entregue ao laboratório.'),0,1,'L');//lab nome
                        $pdf->Cell($larguraUtil,5,utf8_decode('3-Métodos de análise segundo as RAS em vigor.'),0,1,'L');//lab nome
                        //$pdf->Cell($larguraUtil,5,utf8_decode(''),0,1,'L');//lab nome
                        
                        $cota1=$cota1+5;
			//$cota1=$cota1+50;
			$pdf->setXY($margemEsquerda,$cota1);
 */              		
#####################LOCAL DATA###############
	 $cota11=265;
	 $posicao2=80;
     $pdf->Line(90,$cota11+5,160,$cota11+5);//
     //$cota11+=5;
         
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,100,$cota11-9,61,14,'JPG');
     endif;

	 $pdf->SetFont('Arial','',8);
     $pdf->setXY($posicao2,$cota11-15);
     //$vetorCabecalho[6]="Cruz Alta";
	 
     $pdf->Cell(100,4.5,utf8_decode($vetorLaboratorio[6]).", ".date("d/m/y") ,0,1,'L');

	 //$pdf->Cell(85,4.5,'xxxxx'.", ".$vetorDadosDocumento[27] ,'0',1,'L');
	 $pdf->SetFont('Arial','',8);
     $pdf->setXY($posicao2,$cota11+0);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[0]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+4);
	 $pdf->Cell(100,4.5,utf8_decode($vetorTecnico[1]),'0',1,'C');
     $pdf->setXY($posicao2,$cota11+8);
	 $pdf->Cell(100,4.5,' CREA:'.$vetorTecnico[2].'  RENASEM:'.$vetorTecnico[3],'0',1,'C');		
	 $pdf->SetXY($posicao2,$cota11+12);
	 $pdf->Cell(100,5,utf8_decode($vetorTecnico[7]),0,1,'C');	//	
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		
		


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
